# Note that this is NOT a relocatable package
%define ver      2.0.0
%define  RELEASE pre2
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /

Summary: Kernel part of Affix Bluetooth stack
Name: affix-kernel
Version: %ver
Release: %rel
Copyright: GPL
Group: System Environment/Kernel
Vendor: Nokia Research Center
Packager: Mitja Pufic <raveer@section-one.org>
Source: http://affix.sourceforge.net/affix-kernel-%{ver}-pre2.tar.gz
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
URL: http://affix.sourceforge.net
Docdir: %{prefix}usr/share/doc
Requires: glibc >= 2.2.4
Requires: kernel-pcmcia-cs >= 3.1.27
Requires: hotplug >= 2002_04_01
Requires: kernel >= 2.4.18

%package devel
Summary: Affix kernel header files.
Requires: kernel >= 2.4.18
Requires: affix-kernel = 2.0.0-pre2
Group: Development/Libraries

%description
Affix Bluetooth kernel modules for USB / PCMCIA bluetooth devices.

Affix Bluetooth Protocol Stack for Linux has been developed at
Nokia Research Center in Helsinki, Finland.

Affix package supports the following profiles:
        - General Access Profie
        - Service Discovery Profile
        - Serial Port Profile
        - DialUp Networking Profile
        - LAN Access Profile
        - OBEX Object Push Profile
        - OBEX File Transfer Profile
        - PAN Profile

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description devel
Affix Bluetooth kernel modules for USB / PCMCIA bluetooth devices.

Affix Bluetooth Protocol Stack for Linux has been developed at
Nokia Research Center in Helsinki, Finland.

Affix package supports the following profiles:
        - General Access Profie
        - Service Discovery Profile
        - Serial Port Profile
        - DialUp Networking Profile
        - LAN Access Profile
        - OBEX Object Push Profile
        - OBEX File Transfer Profile
        - PAN Profile

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

This package includes kernel header files, needed for building affix.

%changelog
* Sat Mar 15 2003 Mitja Pufic <m@section-one.org>
- [fix] pre1 -> pre2 fixes. everything works.
- [new] ability to compile with external PCMCIA package

* Thu Mar 05 2003 Mitja Pufic <m@section-one.org>
- [new] kernel patches working again
- [change] modules are comming to kernel/net/affix and kernel/drivers/affix
           instead of kernel/net/bluetooth and kernel/drivers/bluetooth
           to be the same as for "Affix in the kernel"
- [new] SDP support for PAN.
- [fix] callback locks for L2CAP and RFCOMM - better stability
- [fix] USB driver unloading fix
- [fix] socket releasing fix
- [fix] better connection establishment procedure
- [fix] better device initialization


* Sun Dec 22 2002 Mitja Pufic <m@section-one.org>
- added affix-kernel-1.2.7-pre1 patch
- [fix] UART card removal hang
- [new] new entry for CyberBlue CF01 in etc/pcmcia/affix.conf
- [fix] MTU related bug in RFCOMM in ver. 1.2.6

* Thu Nov 28 2002 Mitja Pufic <m@section-one.org>
- [fix] bt950uart driver
- [new] new policy/baseband HCI commands:
        HCI_SniffMode, HCI_ExitSniffMode, HCI_HoldMode
        HCI_ReadLinkPolicySettings, HCI_WriteLinkPolicySettings
        HCI_GetLinkQuality, HCI_ReadRSSI, HCI_Read_Transmit_Power_Level
        HCI_ReadHoldModeActivity, HCI_WriteHoldModeActivity
        HCI_ReadScanMode, HCI_WriteScanMode
        HCI_ReadScanPeriodMode, HCI_WriteScanPeriodMode
- [fix] affix_usb > 1.2.1 bug fixed... (probably)

* Thu Oct 24 2002 Mitja Pufic <m@section-one.org>
- [fix] stability fixes for 1.2.2 version - drivers fixed
- [change] l2cap socket type changed from SOCK_STREAM to SOCK_SEQPACKET
- [fix] initialization improved (/etc/affix/hwinit enhanced)
- [fix] affix_uart_cs driver fixed and improved.
- [fix] uart_bcsp fixed - works on iPaq
- [fix] uart_H4 fixed - Xircom works just fine
- [new] bt950uart driver added (thanks to Albert Ribalkin)


* Sat Sep 21 2002 Mitja Pufic <m@section-one.org>
- [changes] affix_pan module has been slightly re-implemented.
        Now it's very handy to use it.
- [fix] device management fixed. hci_lookup checks device status.
- [fix] affix_usb fixed to support some Ericsson modules
- [new] BCSP protocol supported (use affix-1.2.1)
- [new] PF_PACKET support -> HCI packets dumping...
        Download "ethereal" patch for Affix...

* Mon Sep 16 2002 Mitja Pufic <m@section-one.org>
- My Birthday :)
- [changes] some interface changes not compatible with affix-1.1.1
- [fixes] PAN fixes

* Fri Sep 06 2002 Mitja Pufic <m@section-one.org>
- Some stack fixes, added init scripts to RPM
- [fix] SCO socket accept problems
- [fix] RFCOMM flow control
- [fix] packets dropping in some rare cases
- [fix] HCI sockets

* Wed Jul 07 2002 Mitja Pufic <m@section-one.org>
- Initial RPM

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./Configure --target=/var/tmp/%{name}-%{PACKAGE_VERSION}-root
make

%install
rm -rf $RPM_BUILD_ROOT
make install
#make install-headers
mkdir -p %{name}-%{PACKAGE_VERSION}-root/etc/pcmcia

%clean
rm -rf $RPM_BUILD_ROOT

%post
for m in /etc/modules.conf;
do
if cat $m |grep affix &>/dev/null
then
echo "OK"
else
cat /usr/share/doc/affix-kernel-%{ver}/modutils >> /etc/modules.conf
fi
done

%files
%defattr(-, root, root)
/lib/modules/*/kernel/net/affix/*
/etc/pcmcia/*
#/etc/affix/*
/lib/modules/*/kernel/drivers/affix/*
/dev/bt*

%doc CREDITS COPYING ChangeLog NEWS README LEGAL TODO etc/modutils

%files devel
/usr/include/affix/*.h
